extends PlayerState


func _enter(_previous_state_path: String, _data: Dictionary[StringName, Variant] = {}) -> void:
	print('entering idle')
	player.velocity = Vector2.ZERO
	player.move_and_slide()
	
	player.sprite.frame = 1
	player.sprite.pause()
	
	print('entered')


func _state_physics_update(_delta: float) -> void:
	if watch_state([IDLE]): return
